# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-11-13 15:45
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('catalogue', '0065_auto_20171112_1644'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProductAlsoBuying',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ranking', models.PositiveSmallIntegerField(default=0, help_text='Determines order of the products. A product with a higher value will appear before one with a lower ranking.', verbose_name='Ranking')),
                ('primary', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='primary_also_buying', to='catalogue.Product', verbose_name='Primary product')),
                ('recommendation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='catalogue.Product', verbose_name='Recommended product')),
            ],
            options={
                'verbose_name_plural': 'С этим товаром так же покупают',
                'ordering': ['ranking'],
                'verbose_name': 'С этим товаром так же покупают',
            },
        ),
        migrations.AlterUniqueTogether(
            name='productalsobuying',
            unique_together=set([('primary', 'recommendation')]),
        ),
    ]
